RubyMine 2.0.1 Candidate

Posted on by Eugene Toporov

It’s not that we just celebrated after the 2.0 release. We have also been listening carefully for your feedback and making some changes. Apart from our own changes, there’s been a number of improvements in the IntelliJ platform, so we think RubyMine 2.0.1 is quite ready.

Some major fixes and changes are:

  • fixed plugin repository access from RubyMine UI
  • fixed Extract Superclass refactoring
  • added support for ‘IDEA Server’ plugin that allows sharing settings between installations of IntelliJ Platform based products used by the same developer on different computers
  • added Bundler support

see other fixes in issue tracker

Download RubyMine 2.0.1 RC

Thanks for all your reports! And let us know your impression.

JetBrains RubyMine Team

Update: it appears this RubyMine build is not working with the ‘Idea Server’ plugin just yet. We’ll correct it by the 2.0.1 release. Our apologies.

Comments below can no longer be edited.

6 Responses to RubyMine 2.0.1 Candidate

  1. Jakub Arnold says:

    December 10, 2009

    I’ve just installed the 2.0.1 RC for Windows, but when I install the IDEA Server plugin, it stays disabled saying “Plugin is incompatible with current JetBrains RubyMine installation”

  2. Eugene Toporov says:

    December 10, 2009

    @Jakub Arnold: Thanks for letting know. You’re right, it is not working now. We’ll update the build tomorrow. Sorry for the inconvenience.

  3. Miguel Covarrubias says:

    December 11, 2009

    Good one, I’ve not trouble in installing the 2.0.1 RC for Windows.

    Thanks for the article.
    Keep adding..

  4. johno says:

    December 18, 2009

    Any estimate on 2.0.1 official release? Thanks.

  5. Eugene Toporov says:

    December 18, 2009

    @johno: 2.0.1 will be available early next week

  6. johno says:

    December 18, 2009

    @Eugene Thanks! Keep up the good work.

Subscribe

Subscribe for updates